PostgreSQL 7.4.3 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# ALTER LANGUAGE

## Name

ALTER LANGUAGE -- change the definition of a procedural language

## Synopsis

    ALTER LANGUAGE name RENAME TO newname

## Description

`ALTER LANGUAGE` changes the definition of a language. The only functionality is to rename the language. Only a superuser can rename languages.

## Parameters

name

  Name of a language

newname

  The new name of the language

## Compatibility

There is no `ALTER LANGUAGE` statement in the SQL standard.

## See Also

CREATE LANGUAGE, DROP LANGUAGE

Prev | Home | Next
ALTER GROUP | Up | ALTER OPERATOR CLASS